com.h3c.util.pkt

## Enum PppEthernet.PppProtocolId

- java.lang.Object
- - java.lang.Enum<PppEthernet.PppProtocolId>
  - - com.h3c.util.pkt.PppEthernet.PppProtocolId

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<PppEthernet.PppProtocolId>
  Enclosing class:
    PppEthernet

      public static enum PppEthernet.PppProtocolId
      extends Enum<PppEthernet.PppProtocolId>
      implements ProtocolEnum

  PPP protocol IDs.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PPP_AT`
    `PPP_ATCP`
    `PPP_CBCP` Callback Control Protocol.
    `PPP_CCP`
    `PPP_CCPFRAG`
    `PPP_CHAP` Cryptographic Handshake Authorization Protocol.
    `PPP_COMP`
    `PPP_COMPFRAG`
    `PPP_IP` Internet Protocol.
    `PPP_IPCP`
    `PPP_IPV6`
    `PPP_IPV6CP`
    `PPP_IPX`
    `PPP_IPXCP`
    `PPP_LCP`
    `PPP_LQR`
    `PPP_MP`
    `PPP_MPLS_MC`
    `PPP_MPLS_UC`
    `PPP_MPLSCP`
    `PPP_PAP`
    `PPP_VJC_COMP`
    `PPP_VJC_UNCOMP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static PppEthernet.PppProtocolId` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PppEthernet.PppProtocolId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PPP_IP

          public static final PppEthernet.PppProtocolId PPP_IP

      Internet Protocol.

    - #### PPP_AT

          public static final PppEthernet.PppProtocolId PPP_AT

    - #### PPP_IPX

          public static final PppEthernet.PppProtocolId PPP_IPX

    - #### PPP_VJC_COMP

          public static final PppEthernet.PppProtocolId PPP_VJC_COMP

    - #### PPP_VJC_UNCOMP

          public static final PppEthernet.PppProtocolId PPP_VJC_UNCOMP

    - #### PPP_MP

          public static final PppEthernet.PppProtocolId PPP_MP

    - #### PPP_IPV6

          public static final PppEthernet.PppProtocolId PPP_IPV6

    - #### PPP_COMPFRAG

          public static final PppEthernet.PppProtocolId PPP_COMPFRAG

    - #### PPP_COMP

          public static final PppEthernet.PppProtocolId PPP_COMP

    - #### PPP_MPLS_UC

          public static final PppEthernet.PppProtocolId PPP_MPLS_UC

    - #### PPP_MPLS_MC

          public static final PppEthernet.PppProtocolId PPP_MPLS_MC

    - #### PPP_IPCP

          public static final PppEthernet.PppProtocolId PPP_IPCP

    - #### PPP_ATCP

          public static final PppEthernet.PppProtocolId PPP_ATCP

    - #### PPP_IPXCP

          public static final PppEthernet.PppProtocolId PPP_IPXCP

    - #### PPP_IPV6CP

          public static final PppEthernet.PppProtocolId PPP_IPV6CP

    - #### PPP_CCPFRAG

          public static final PppEthernet.PppProtocolId PPP_CCPFRAG

    - #### PPP_CCP

          public static final PppEthernet.PppProtocolId PPP_CCP

    - #### PPP_MPLSCP

          public static final PppEthernet.PppProtocolId PPP_MPLSCP

    - #### PPP_LCP

          public static final PppEthernet.PppProtocolId PPP_LCP

    - #### PPP_PAP

          public static final PppEthernet.PppProtocolId PPP_PAP

    - #### PPP_LQR

          public static final PppEthernet.PppProtocolId PPP_LQR

    - #### PPP_CHAP

          public static final PppEthernet.PppProtocolId PPP_CHAP

      Cryptographic Handshake Authorization Protocol.

    - #### PPP_CBCP

          public static final PppEthernet.PppProtocolId PPP_CBCP

      Callback Control Protocol.

  - ### Method Detail

    - #### values

          public static PppEthernet.PppProtocolId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PppEthernet.PppProtocolId c : PppEthernet.PppProtocolId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PppEthernet.PppProtocolId valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.